For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
User GuideDeveloper GuidesAPI Reference
User GuideDeveloper GuidesAPI Reference
    • Overview
  • Runtype API
      • GETList versions for a flow
      • GETGet the published version for a flow
      • GETGet a specific flow version
      • POSTPublish a specific flow version
Dashboard
LogoLogo
Runtype APIFlow Versions

Publish a specific flow version

POST
/v1/flow-versions/:flowId/publish
POST
/v1/flow-versions/:flowId/publish
$curl -X POST https://api.runtype.com/v1/flow-versions/flowId/publish \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "versionId": "v123e4567-e89b-12d3-a456-426614174000"
>}'
1{
2 "success": true,
3 "message": "Flow version published successfully.",
4 "flowId": "f987e6543-e21b-45d3-b789-526614174999",
5 "versionId": "v123e4567-e89b-12d3-a456-426614174000"
6}
Was this page helpful?
Previous

List conversations

Next
Built with

Authentication

AuthorizationBearer
API key or Clerk session token

Path parameters

flowIdstringRequired

Request

This endpoint expects an object.
versionIdstringRequired>=1 character

Response

Version published
successboolean
messagestring
flowIdstring
versionIdstring

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error